package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 18:34
 * @description: API通道数据对象
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("eg_api_endpoint")
public class EgApiEndpointDo extends BaseDo implements Serializable {
    /**
     * 数据API主键
     */
    private Long apiId;
    /**
     * 通道类型
     */
    private String apiCode;
    /**
     * 通道配置
     */
    private byte[] apiConfig;
}
